Namespace
elastic
Image / Tag
filebeat:sha256-2d6eaaac1309abe1808b9284ed2df83c71b90b296bccc3d70580f5106cac5226
Content Digest
sha256:2d6eaaac1309abe1808b9284ed2df83c71b90b296bccc3d70580f5106cac5226
Details
Created

2026-08-26 19:28:30 UTC

Size

128 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2026-08-25T20:06:27Z
  • com.redhat.component
    ubi10-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • cpe
    cpe:/o:redhat:enterprise_linux:10.2
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.44.0
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel10
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2026-08-26T19:21:27Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    6e4bc0b2701e0f027f45a28210cf49dc21e1b6df
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.4.6
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2026-08-26T19:21:27Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.revision
    0b4cc93aa2450ac257d3e3051c62ff62306cdb95
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    0b4cc93aa2450ac257d3e3051c62ff62306cdb95
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.4.6

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:86240237f31dfd7a745de734105e773d38e7ed79b6d73eddcb5554e8e7a96a76 - 26.09% (33.3 MB)

[#001] sha256:cc535ef1e43028d538cb0eb968bdde0807e69eeb0ff72ed79e3577e59ae6c029 - 2.98% (3.8 MB)

[#002] sha256:9354f94f09022a85eeb683788ec7c98a08e78f87e6a9c45d80f7350482ba5a7f - 0.01% (9.5 KB)

[#003] sha256:5577a57c6b4d51fc8229fbc5b582d58dc8fe106129371166e51c6452ec50bce5 - 0.0% (607 Bytes)

[#004] sha256:e2b4a3f52f5374028772e2cd1d764e205c2cc8e12b605134b1a31373a5a0559d - 0.0% (613 Bytes)

[#005] sha256:8106642c20a3e14ed728bade11cf96843da7d89bc5ab56f01881b9905b34d64f - 56.5% (72.1 MB)

[#006] sha256:ecd4e15cb947f03c8c5dae706994718a858cf933012bb3708b852b84ac0246d2 - 0.0% (123 Bytes)

[#007] sha256:eb4b1f5ea3224af0e5fcda880eb6c22c52617ba09bf8789b2d52063bf69a3a8b - 0.0% (5.42 KB)

[#008] sha256:f379ec2d731e591643bc38764153ab3c381aaf4960b3b0df35edce8b1915b982 - 0.17% (227 KB)

[#009] sha256:62cac7efe3ab170379dadf93ea40bdcdcd84ca022c6e16dee4a4252159564865 - 0.0% (514 Bytes)

[#010] sha256:89bc55c0a3cd2bfa9c49632821a52e3d94da617deaaa7f51dea314e54cd22e0b - 0.0% (1.1 KB)

[#011] sha256:a0d506ca062a245f3f177030ec64f06b3b1049a06273e5c1e47ee17dc7e0449a - 14.24% (18.2 MB)

[#012] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)


History
2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi10-minimal-container" name="ubi10/ubi-minimal" version="10.2" cpe="cpe:/o:redhat:enterprise_linux:10.2" distribution-scope="public"

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 10."

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 10 Minimal"

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel10"

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) ENV container oci

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) COPY dir:e7620ad0de168d433994ebbf7fb7f61c959a1e46f62a586e13d1420fdf828782 in /

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) COPY file:5de33b5fc08b00635bccf9134a18978dba13e2250aa51838f9969515a3957847 in /etc/yum.repos.d/.

2026-08-25 20:06:48 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-08-25 20:06:49 UTC

/bin/sh -c #(nop) COPY dir:843679555eb85e63c3d46c8573b56fcb4e641b4a9bd8ecdac5dc2ff16c34caac in /usr/share/buildinfo/

2026-08-25 20:06:49 UTC

/bin/sh -c #(nop) COPY dir:843679555eb85e63c3d46c8573b56fcb4e641b4a9bd8ecdac5dc2ff16c34caac in /root/buildinfo/

2026-08-25 20:06:49 UTC

/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-08-25T20:06:27Z" "org.opencontainers.image.revision"="0b4cc93aa2450ac257d3e3051c62ff62306cdb95" "build-date"="2026-08-25T20:06:27Z" "architecture"="x86_64" "vcs-ref"="0b4cc93aa2450ac257d3e3051c62ff62306cdb95" "vcs-type"="git" "release"="1787688243"org.opencontainers.image.created=2026-08-25T20:06:27Z,org.opencontainers.image.revision=0b4cc93aa2450ac257d3e3051c62ff62306cdb95

2026-08-26 19:28:11 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install findutils shadow-utils ca-certificates gawk libcap xz tar && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2026-08-26 19:28:14 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2026-08-26T19:21:27Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.4.6 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=6e4bc0b2701e0f027f45a28210cf49dc21e1b6df io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-08-26T19:21:27Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.4.6 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2026-08-26 19:28:14 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2026-08-26 19:28:14 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-08-26 19:28:14 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2026-08-26 19:28:14 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2026-08-26 19:28:14 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2026-08-26 19:28:14 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2026-08-26 19:28:25 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2026-08-26 19:28:25 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2026-08-26 19:28:25 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2026-08-26 19:28:26 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2026-08-26 19:28:26 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2026-08-26 19:28:26 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2026-08-26 19:28:30 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2026-08-26 19:28:30 UTC (buildkit.dockerfile.v0)

USER 1000

2026-08-26 19:28:30 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2026-08-26 19:28:30 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2026-08-26 19:28:30 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2026-08-26 19:28:30 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete